# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package Scmbug::Error;

use Data::Dumper;
require Exporter;

@ISA = qw(Exporter);
@EXPORT = qw(
	     $GLUE_ERROR_INVALID_ACTIVITY
	     $GLUE_ERROR_INVALID_CVS_COMMIT_ARGUMENTS_FORMAT
	     $GLUE_ERROR_NO_IDS
	     $GLUE_ERROR_NO_NOTE
	     $GLUE_ERROR_IDS_INVALID
	     $GLUE_ERROR_NO_CONNECTION_PORT
	     $GLUE_ERROR_ACTIVITY_FAILED
	     $GLUE_ERROR_INVALID_PROTOCOL_NUMBER
	     $GLUE_ERROR_INVALID_CVS_TAG_OPERATION_NAME
	     $GLUE_ERROR_INVALID_SCM_IN_CONFIGURATION
	     $GLUE_ERROR_DUPLICATE_BUG_ID
	     $GLUE_ERROR_INVALID_SVNLOOK_OUTPUT_FORMAT
	     $GLUE_ERROR_INVALID_SVNLOOK_TOKEN
	     $GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE
	     $GLUE_ERROR_POLICY_LABEL_NAME
	     $GLUE_ERROR_POLICY_LABEL_NAME_NO_NAMES
	     $GLUE_ERROR_POLICY_PRESENCE_OF_BUG_IDS_INVALID
	     $GLUE_ERROR_POLICY_PRODUCT_NAME_DEFINITION_VALUES_MISSING
	     $GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE_INVALID
	     $GLUE_ERROR_DAEMON_INVALID
	     $GLUE_ERROR_POLICIES_INVALID
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_SETTINGS_MISSING
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_LABEL
	     $GLUE_ERROR_DAEMON_DIED
	     $GLUE_ERROR_SVN_FILE_PREFIX_NOT_SPECIFIED
	     $VDD_ERROR_LABEL_FOUND_IN_MULTIPLE_DIRECTORIES
	     $VDD_ERROR_LABEL_DOES_NOT_EXIST
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_REGEX
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_SPLIT_REGEX
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BODY_REGEX
	     $GLUE_ERROR_NO_CONNECTION_LOCATION
	     $GLUE_ERROR_UNABLE_TO_CONNECT_TO_DAEMON
	     $GLUE_ERROR_UNSUPPORTED_VERSION
	     $GLUE_ERROR_VERSION_IN_WRONG_FORMAT
	     $GLUE_ERROR_CANNOT_AUTODETECT_PRODUCT_NAME
	     $GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME
	     $GLUE_ERROR_MISSING_PATH_TO_BINARIES
	     $GLUE_ERROR_TOOLS_MISSING
	     $GLUE_ERROR_MISSING_MAIL_RECIPIENTS
	     $GLUE_ERROR_POLICY_VALID_BUG_OWNER_MISSING
	     $GLUE_ERROR_POLICY_OPEN_BUG_STATE_MISSING
	     $COMMON_ERROR_PACKAGE_MISSING
	     $VDD_ERROR_OUTPUT_FILE_MISSING_XML_EXTENSION
	     $GLUE_ERROR_CANNOT_AUTODETECT_REPOSITORY
	     $GLUE_ERROR_INVALID_CVSNT_COMMIT_ARGUMENTS_FORMAT
	     $DAEMON_ERROR_DAEMON_PORT_MISSING
	     $DAEMON_ERROR_BUGTRACKER_MISSING
	     $DAEMON_ERROR_BUGTRACKER_TYPE_MISSING
	     $DAEMON_ERROR_BUGTRACKER_VERSION_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_LOCATION_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_PORT_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_VENDOR_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_NAME_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_USERNAME_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_PASSWORD_MISSING
	     $DAEMON_ERROR_BUGTRACKER_INSTALLED_LOCALLY_MISSING
	     $DAEMON_ERROR_BUGTRACKER_INSTALLATION_DIRECTORY_MISSING
	     $DAEMON_ERROR_BUGTRACKER_BUG_URL_PREFIX_MISSING
	     $DAEMON_ERROR_USERLIST_MISSING
	     $DAEMON_ERROR_USERLIST_CASE_SENSITIVE_USERNAME_VERIFICATION_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SERVER_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_PORT_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_PASSWORD_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BASEDN_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SCM_USERNAME_ATTRIBUTE_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BUGTRACKING_USERNAME_ATTRIBUTE_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_FILTER_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_REGEXES_VALUES_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_VALUES_VALUES_MISSING
	     $DAEMON_ERROR_LOGS_ERROR_MISSING
	     $DAEMON_ERROR_LOGS_ACTIVITY_MISSING
	     $DAEMON_ERROR_USERLIST_ENABLED_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPINGS_MISSING
	     $DAEMON_ERROR_USERLIST_ENABLED_BUT_NOT_CONFIGURED
	     $DAEMON_ERROR_UNSUPPORTED_BUGTRACKER
	     $DAEMON_ERROR_UNSUPPORTED_BUGTRACKER_VERSION
	     $COMMON_ERROR_CANNOT_OPEN_FILE
	     $DAEMON_ERROR_SOCKET_ERROR
	     $DAEMON_ERROR_FORK_ERROR
	     $DAEMON_ERROR_SESSION_ERROR
	     $DAEMON_ERROR_DAEMON_MODE_MISSING
	     $DAEMON_ERROR_INVALID_DAEMON_MODE
	     $DAEMON_ERROR_PID_FILE_EXISTS
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_INFO
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_YOUNGEST
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_CHANGED
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_HISTORY
	     $GLUE_ERROR_CANNOT_EXECUTE_SVN_LOG
	     $GLUE_ERROR_POLICY_VALID_PRODUCT_NAME_MISSING
	     $GLUE_ERROR_READING_GLUE_CONFIGURATION_FILE
	     $DAEMON_ERROR_READING_GLUE_CONFIGURATION_FILE
	     $GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_MISSING
	     $GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_VALUE_MISSING
	     $GLUE_ERROR_NO_USER_FOR_ACTIVITY
	     $TOOLS_ERROR_INVALID_SCM_NAME_IN_DESCRIPTION
	     $TOOLS_ERROR_SCM_DESCRIPTION_REPOSITORY_PATH_NOT_SET
	     $TOOLS_ERROR_INVALID_SCM_NAME_IN_FUNCTIONS
	     $GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_MISSING
	     $GLUE_ERROR_LABEL_DIRECTORIES_MISSING
	     $GLUE_ERROR_MAIN_TRUNK_DIRECTORIES_MISSING
	     $GLUE_ERROR_BINARY_PATHS_MISSING
	     $GLUE_ERROR_CREATING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_PERSIST
	     $GLUE_ERROR_READING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_INTERPRET
	     $GLUE_ERROR_WRITING_CVS_CONSOLIDATED_ACTIVITIES_FILE
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_MISSING
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_SPLIT_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_DATA_REGEX
	     $GLUE_ERROR_NO_RESOLUTION_STATUS
	     $GLUE_ERROR_NO_RESOLUTION_IDS
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_PRODUCT_NAME
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_BUG_OWNER
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MISSING
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_SUCCESS
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_FAILURE
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_MISSING
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_FROM
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_TO
             $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_CASE_SENSITIVE_VERIFICATION
             $GLUE_ERROR_MISSING_CONSOLIDATE_CVS_MESSAGES
             $GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_DOES_NOT_WORK_ON_WINDOWS
             $GLUE_ERROR_LOGGING_MISSING
             $GLUE_ERROR_ACTIVITY_HAS_NO_NAME
             $GLUE_ERROR_ACTIVITY_HAS_NO_USER
             $GLUE_ERROR_ACTIVITY_HAS_NO_PRODUCT_NAME
             $GLUE_ERROR_ACTIVITY_HAS_NO_REPOSITORY
             $GLUE_ERROR_SVN_ARGUMENT_REPOSITORY_MISSING
             $GLUE_ERROR_SVN_ARGUMENT_TXN_OR_REV_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_LOG_MESSAGE_FILE_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_COMMIT_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_TAG_MISSING
             $GLUE_ERROR_ACTIVITY_HAS_NO_LOG_MESSAGE
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_REV_PARSE
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_LOG
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_BRANCH
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_DIFF
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_WHATCHANGED
             $GLUE_ERROR_INVALID_GIT_WHATCHANGED_TOKEN
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_STATUS
	     $GLUE_ERROR_INVALID_SVNLOOK_CHANGED_TOKEN
	     $GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME_AFTER_FILE
	     );

use vars qw (
	     $GLUE_ERROR_INVALID_ACTIVITY
	     $GLUE_ERROR_INVALID_CVS_COMMIT_ARGUMENTS_FORMAT
	     $GLUE_ERROR_NO_IDS
	     $GLUE_ERROR_NO_NOTE
	     $GLUE_ERROR_IDS_INVALID
	     $GLUE_ERROR_NO_CONNECTION_PORT
	     $GLUE_ERROR_ACTIVITY_FAILED
	     $GLUE_ERROR_INVALID_PROTOCOL_NUMBER
	     $GLUE_ERROR_INVALID_CVS_TAG_OPERATION_NAME
	     $GLUE_ERROR_INVALID_SCM_IN_CONFIGURATION
	     $GLUE_ERROR_DUPLICATE_BUG_ID
	     $GLUE_ERROR_INVALID_SVNLOOK_OUTPUT_FORMAT
	     $GLUE_ERROR_INVALID_SVNLOOK_TOKEN
	     $GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE
	     $GLUE_ERROR_POLICY_LABEL_NAME
	     $GLUE_ERROR_POLICY_LABEL_NAME_NO_NAMES
	     $GLUE_ERROR_POLICY_PRESENCE_OF_BUG_IDS_INVALID
	     $GLUE_ERROR_POLICY_PRODUCT_NAME_DEFINITION_VALUES_MISSING
	     $GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE_INVALID
	     $GLUE_ERROR_DAEMON_INVALID
	     $GLUE_ERROR_POLICIES_INVALID
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_SETTINGS_MISSING
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_LABEL
	     $GLUE_ERROR_DAEMON_DIED
	     $GLUE_ERROR_SVN_FILE_PREFIX_NOT_SPECIFIED
	     $VDD_ERROR_LABEL_FOUND_IN_MULTIPLE_DIRECTORIES
	     $VDD_ERROR_LABEL_DOES_NOT_EXIST
	     $COMMON_ERROR_PACKAGE_MISSING
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_REGEX
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_SPLIT_REGEX
	     $GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BODY_REGEX
	     $GLUE_ERROR_NO_CONNECTION_LOCATION
	     $GLUE_ERROR_UNABLE_TO_CONNECT_TO_DAEMON
	     $GLUE_ERROR_UNSUPPORTED_VERSION
	     $GLUE_ERROR_VERSION_IN_WRONG_FORMAT
	     $GLUE_ERROR_CANNOT_AUTODETECT_PRODUCT_NAME
	     $GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME
	     $GLUE_ERROR_MISSING_PATH_TO_BINARIES
	     $GLUE_ERROR_TOOLS_MISSING
	     $GLUE_ERROR_MISSING_MAIL_RECIPIENTS
	     $GLUE_ERROR_POLICY_VALID_BUG_OWNER_MISSING
	     $GLUE_ERROR_POLICY_OPEN_BUG_STATE_MISSING
	     $VDD_ERROR_OUTPUT_FILE_MISSING_XML_EXTENSION
	     $GLUE_ERROR_CANNOT_AUTODETECT_REPOSITORY
	     $GLUE_ERROR_INVALID_CVSNT_COMMIT_ARGUMENTS_FORMAT
	     $DAEMON_ERROR_DAEMON_PORT_MISSING
	     $DAEMON_ERROR_BUGTRACKER_MISSING
	     $DAEMON_ERROR_BUGTRACKER_TYPE_MISSING
	     $DAEMON_ERROR_BUGTRACKER_VERSION_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_LOCATION_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_PORT_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_VENDOR_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_NAME_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_USERNAME_MISSING
	     $DAEMON_ERROR_BUGTRACKER_DATABASE_PASSWORD_MISSING
	     $DAEMON_ERROR_BUGTRACKER_INSTALLED_LOCALLY_MISSING
	     $DAEMON_ERROR_BUGTRACKER_INSTALLATION_DIRECTORY_MISSING
	     $DAEMON_ERROR_BUGTRACKER_BUG_URL_PREFIX_MISSING
	     $DAEMON_ERROR_USERLIST_MISSING
	     $DAEMON_ERROR_USERLIST_CASE_SENSITIVE_USERNAME_VERIFICATION_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SERVER_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_PORT_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_PASSWORD_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BASEDN_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SCM_USERNAME_ATTRIBUTE_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BUGTRACKING_USERNAME_ATTRIBUTE_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_FILTER_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_REGEXES_VALUES_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPING_VALUES_VALUES_MISSING
	     $DAEMON_ERROR_LOGS_ERROR_MISSING
	     $DAEMON_ERROR_LOGS_ACTIVITY_MISSING
	     $DAEMON_ERROR_USERLIST_ENABLED_MISSING
	     $DAEMON_ERROR_USERLIST_MAPPINGS_MISSING
	     $DAEMON_ERROR_USERLIST_ENABLED_BUT_NOT_CONFIGURED
	     $DAEMON_ERROR_UNSUPPORTED_BUGTRACKER
	     $DAEMON_ERROR_UNSUPPORTED_BUGTRACKER_VERSION
	     $COMMON_ERROR_CANNOT_OPEN_FILE
	     $DAEMON_ERROR_SOCKET_ERROR
	     $DAEMON_ERROR_FORK_ERROR
	     $DAEMON_ERROR_SESSION_ERROR
	     $DAEMON_ERROR_DAEMON_MODE_MISSING
	     $DAEMON_ERROR_INVALID_DAEMON_MODE
	     $DAEMON_ERROR_PID_FILE_EXISTS
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_INFO
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_YOUNGEST
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_CHANGED
	     $GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_HISTORY
	     $GLUE_ERROR_CANNOT_EXECUTE_SVN_LOG
	     $GLUE_ERROR_POLICY_VALID_PRODUCT_NAME_MISSING
	     $GLUE_ERROR_READING_GLUE_CONFIGURATION_FILE
	     $DAEMON_ERROR_READING_GLUE_CONFIGURATION_FILE
	     $GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_MISSING
	     $GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_VALUE_MISSING
	     $GLUE_ERROR_NO_USER_FOR_ACTIVITY
	     $TOOLS_ERROR_INVALID_SCM_NAME_IN_DESCRIPTION
	     $TOOLS_ERROR_SCM_DESCRIPTION_REPOSITORY_PATH_NOT_SET
	     $TOOLS_ERROR_INVALID_SCM_NAME_IN_FUNCTIONS
	     $GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_MISSING
	     $GLUE_ERROR_LABEL_DIRECTORIES_MISSING
	     $GLUE_ERROR_MAIN_TRUNK_DIRECTORIES_MISSING
	     $GLUE_ERROR_BINARY_PATHS_MISSING
	     $GLUE_ERROR_CREATING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_PERSIST
	     $GLUE_ERROR_READING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_INTERPRET
	     $GLUE_ERROR_WRITING_CVS_CONSOLIDATED_ACTIVITIES_FILE
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_MISSING
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_SPLIT_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_REGEX
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_DATA_REGEX
	     $GLUE_ERROR_NO_RESOLUTION_STATUS
	     $GLUE_ERROR_NO_RESOLUTION_IDS
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_PRODUCT_NAME
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_BUG_OWNER
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MISSING
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_SUCCESS
	     $GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_FAILURE
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_MISSING
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_FROM
	     $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_TO
             $GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_CASE_SENSITIVE_VERIFICATION
             $GLUE_ERROR_MISSING_CONSOLIDATE_CVS_MESSAGES
             $GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_DOES_NOT_WORK_ON_WINDOWS
             $GLUE_ERROR_LOGGING_MISSING
             $GLUE_ERROR_ACTIVITY_HAS_NO_NAME
             $GLUE_ERROR_ACTIVITY_HAS_NO_USER
             $GLUE_ERROR_ACTIVITY_HAS_NO_PRODUCT_NAME
             $GLUE_ERROR_ACTIVITY_HAS_NO_REPOSITORY
             $GLUE_ERROR_SVN_ARGUMENT_REPOSITORY_MISSING
             $GLUE_ERROR_SVN_ARGUMENT_TXN_OR_REV_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_LOG_MESSAGE_FILE_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_COMMIT_MISSING
             $GLUE_ERROR_CVS_ARGUMENT_TAG_MISSING
             $GLUE_ERROR_ACTIVITY_HAS_NO_LOG_MESSAGE
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_REV_PARSE
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_LOG
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_BRANCH
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_DIFF
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_WHATCHANGED
             $GLUE_ERROR_INVALID_GIT_WHATCHANGED_TOKEN
             $GLUE_ERROR_CANNOT_EXECUTE_GIT_STATUS
	     $GLUE_ERROR_INVALID_SVNLOOK_CHANGED_TOKEN
	     $GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME_AFTER_FILE
	     );

use strict;



$GLUE_ERROR_INVALID_ACTIVITY = 1;
$GLUE_ERROR_INVALID_CVS_COMMIT_ARGUMENTS_FORMAT = 2;
$GLUE_ERROR_NO_IDS = 3;
$GLUE_ERROR_NO_NOTE = 4;
$GLUE_ERROR_IDS_INVALID = 5;
$GLUE_ERROR_NO_CONNECTION_PORT = 6;
$GLUE_ERROR_ACTIVITY_FAILED = 7;
$GLUE_ERROR_INVALID_PROTOCOL_NUMBER = 8;
$GLUE_ERROR_INVALID_CVS_TAG_OPERATION_NAME = 9;
$GLUE_ERROR_INVALID_SCM_IN_CONFIGURATION = 10;
$GLUE_ERROR_DUPLICATE_BUG_ID = 11;
$GLUE_ERROR_INVALID_SVNLOOK_OUTPUT_FORMAT = 12;
$GLUE_ERROR_INVALID_SVNLOOK_TOKEN = 13;
$GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE = 14;
$GLUE_ERROR_POLICY_LABEL_NAME = 15;
$GLUE_ERROR_POLICY_LABEL_NAME_NO_NAMES = 16;
$GLUE_ERROR_POLICY_PRESENCE_OF_BUG_IDS_INVALID = 17;
$GLUE_ERROR_POLICY_PRODUCT_NAME_DEFINITION_VALUES_MISSING = 18;
$GLUE_ERROR_POLICY_MINIMUM_LOG_MESSAGE_SIZE_INVALID = 19;
$GLUE_ERROR_DAEMON_INVALID = 20;
$GLUE_ERROR_POLICIES_INVALID = 21;
$GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_SETTINGS_MISSING = 22;
$GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_LABEL = 23;
$GLUE_ERROR_DAEMON_DIED = 24;
$GLUE_ERROR_SVN_FILE_PREFIX_NOT_SPECIFIED = 25;

$VDD_ERROR_LABEL_DOES_NOT_EXIST = 27;
$GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_REGEX = 28;
$GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BODY_REGEX = 29;
$GLUE_ERROR_POLICY_LOG_TEMPLATE_NO_BUGID_SPLIT_REGEX = 30;
$GLUE_ERROR_NO_CONNECTION_LOCATION = 31;
$GLUE_ERROR_UNABLE_TO_CONNECT_TO_DAEMON = 32;
$GLUE_ERROR_UNSUPPORTED_VERSION = 33;
$GLUE_ERROR_VERSION_IN_WRONG_FORMAT = 34;
$GLUE_ERROR_MISSING_PATH_TO_BINARIES = 35;
$GLUE_ERROR_TOOLS_MISSING = 36;
$GLUE_ERROR_MISSING_MAIL_RECIPIENTS = 37;


$GLUE_ERROR_CANNOT_AUTODETECT_PRODUCT_NAME = 40;
$GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME = 41;
$GLUE_ERROR_POLICY_VALID_BUG_OWNER_MISSING = 42;
$GLUE_ERROR_POLICY_OPEN_BUG_STATE_MISSING = 43;
$COMMON_ERROR_PACKAGE_MISSING = 44;
$VDD_ERROR_OUTPUT_FILE_MISSING_XML_EXTENSION = 45;
$GLUE_ERROR_CANNOT_AUTODETECT_REPOSITORY = 46;
$GLUE_ERROR_INVALID_CVSNT_COMMIT_ARGUMENTS_FORMAT = 47;
$DAEMON_ERROR_DAEMON_PORT_MISSING = 48;
$DAEMON_ERROR_BUGTRACKER_MISSING = 49;
$DAEMON_ERROR_BUGTRACKER_TYPE_MISSING = 50;
$DAEMON_ERROR_BUGTRACKER_VERSION_MISSING = 51;
$DAEMON_ERROR_BUGTRACKER_DATABASE_LOCATION_MISSING = 52;
$DAEMON_ERROR_BUGTRACKER_DATABASE_PORT_MISSING = 53;
$DAEMON_ERROR_BUGTRACKER_DATABASE_VENDOR_MISSING = 54;
$DAEMON_ERROR_BUGTRACKER_DATABASE_NAME_MISSING = 55;
$DAEMON_ERROR_BUGTRACKER_DATABASE_USERNAME_MISSING = 56;
$DAEMON_ERROR_BUGTRACKER_DATABASE_PASSWORD_MISSING = 57;
$DAEMON_ERROR_BUGTRACKER_INSTALLED_LOCALLY_MISSING = 58;
$DAEMON_ERROR_BUGTRACKER_INSTALLATION_DIRECTORY_MISSING = 59;
$DAEMON_ERROR_BUGTRACKER_BUG_URL_PREFIX_MISSING = 60;
$DAEMON_ERROR_USERLIST_MISSING = 61;
$DAEMON_ERROR_USERLIST_CASE_SENSITIVE_USERNAME_VERIFICATION_MISSING = 62;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SERVER_MISSING = 63;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_PORT_MISSING = 64;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_MISSING = 65;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BINDDN_PASSWORD_MISSING = 66;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BASEDN_MISSING = 67;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_SCM_USERNAME_ATTRIBUTE_MISSING = 68;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_BUGTRACKING_USERNAME_ATTRIBUTE_MISSING = 69;
$DAEMON_ERROR_USERLIST_MAPPING_LDAP_LDAP_FILTER_MISSING = 70;
$DAEMON_ERROR_USERLIST_MAPPING_REGEXES_VALUES_MISSING = 71;
$DAEMON_ERROR_USERLIST_MAPPING_VALUES_VALUES_MISSING = 72;
$DAEMON_ERROR_LOGS_ERROR_MISSING = 73;
$DAEMON_ERROR_LOGS_ACTIVITY_MISSING = 74;
$DAEMON_ERROR_USERLIST_ENABLED_MISSING = 75;
$DAEMON_ERROR_USERLIST_MAPPINGS_MISSING = 76;
$DAEMON_ERROR_USERLIST_ENABLED_BUT_NOT_CONFIGURED = 77;
$DAEMON_ERROR_UNSUPPORTED_BUGTRACKER = 78;
$DAEMON_ERROR_UNSUPPORTED_BUGTRACKER_VERSION = 79;
$COMMON_ERROR_CANNOT_OPEN_FILE = 80;
$DAEMON_ERROR_SOCKET_ERROR = 81;
$DAEMON_ERROR_FORK_ERROR = 82;
$DAEMON_ERROR_SESSION_ERROR = 83;
$DAEMON_ERROR_DAEMON_MODE_MISSING = 84;
$DAEMON_ERROR_INVALID_DAEMON_MODE = 85;
$DAEMON_ERROR_PID_FILE_EXISTS = 86;
$GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_INFO = 87;
$GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_YOUNGEST = 88;
$GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_CHANGED = 89;
$GLUE_ERROR_CANNOT_EXECUTE_SVNLOOK_HISTORY = 90;
$GLUE_ERROR_CANNOT_EXECUTE_SVN_LOG = 91;
$GLUE_ERROR_POLICY_VALID_PRODUCT_NAME_MISSING = 92;
$GLUE_ERROR_READING_GLUE_CONFIGURATION_FILE = 93;
$DAEMON_ERROR_READING_GLUE_CONFIGURATION_FILE = 94;
$GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_MISSING = 95;
$GLUE_ERROR_POLICY_ANONYMOUS_SCM_USERNAME_VALUE_MISSING = 96;
$GLUE_ERROR_NO_USER_FOR_ACTIVITY = 97;
$TOOLS_ERROR_INVALID_SCM_NAME_IN_DESCRIPTION = 98;
$TOOLS_ERROR_SCM_DESCRIPTION_REPOSITORY_PATH_NOT_SET = 99;
$TOOLS_ERROR_INVALID_SCM_NAME_IN_FUNCTIONS = 100;
$GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_MISSING = 101;
$GLUE_ERROR_LABEL_DIRECTORIES_MISSING = 102;
$GLUE_ERROR_MAIN_TRUNK_DIRECTORIES_MISSING = 103;
$GLUE_ERROR_BINARY_PATHS_MISSING = 104;
$GLUE_ERROR_CREATING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_PERSIST = 105;
$GLUE_ERROR_READING_CVS_CONSOLIDATED_ACTIVITIES_FILE_TO_INTERPRET = 106;
$GLUE_ERROR_WRITING_CVS_CONSOLIDATED_ACTIVITIES_FILE = 107;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_MISSING = 108;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_REGEX = 109;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_BUGID_SPLIT_REGEX = 110;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_REGEX = 111;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_REGEX = 112;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_STATUS_RESOLUTION_DATA_REGEX = 113;
$GLUE_ERROR_NO_RESOLUTION_STATUS = 114;
$GLUE_ERROR_NO_RESOLUTION_IDS = 115;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_PRODUCT_NAME = 116;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_VALID_BUG_OWNER = 117;
$GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MISSING = 118;
$GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_SUCCESS = 119;
$GLUE_ERROR_POLICY_MAIL_NOTIFICATION_MAIL_ON_FAILURE = 120;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_MISSING = 121;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_FROM = 122;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_STATUS_CONVERT_TO = 123;
$GLUE_ERROR_POLICY_RESOLUTION_TEMPLATE_NO_CASE_SENSITIVE_VERIFICATION = 124;
$GLUE_ERROR_MISSING_CONSOLIDATE_CVS_MESSAGES = 125;
$GLUE_ERROR_CONSOLIDATE_CVS_MESSAGES_DOES_NOT_WORK_ON_WINDOWS = 126;
$GLUE_ERROR_LOGGING_MISSING = 127;
$GLUE_ERROR_ACTIVITY_HAS_NO_NAME = 128;
$GLUE_ERROR_ACTIVITY_HAS_NO_USER = 129;
$GLUE_ERROR_ACTIVITY_HAS_NO_PRODUCT_NAME = 130;
$GLUE_ERROR_ACTIVITY_HAS_NO_REPOSITORY = 131;
$GLUE_ERROR_SVN_ARGUMENT_REPOSITORY_MISSING = 132;
$GLUE_ERROR_SVN_ARGUMENT_TXN_OR_REV_MISSING = 133;
$GLUE_ERROR_CVS_ARGUMENT_LOG_MESSAGE_FILE_MISSING = 134;
$GLUE_ERROR_CVS_ARGUMENT_COMMIT_MISSING = 135;
$GLUE_ERROR_CVS_ARGUMENT_TAG_MISSING = 136;
$GLUE_ERROR_ACTIVITY_HAS_NO_LOG_MESSAGE = 137;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_REV_PARSE = 138;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_LOG = 139;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_BRANCH = 139;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_DIFF = 140;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_WHATCHANGED = 141;
$GLUE_ERROR_INVALID_GIT_WHATCHANGED_TOKEN = 142;
$GLUE_ERROR_CANNOT_EXECUTE_GIT_STATUS = 143;
$GLUE_ERROR_INVALID_SVNLOOK_CHANGED_TOKEN = 144;
$GLUE_ERROR_AUTODETECTED_MORE_THAN_ONE_PRODUCT_NAME_AFTER_FILE = 145;



1;
